Loading...
Searching...
No Matches
pappso::specpeptidoms::AaPosition Struct Reference

`#include <spomsspectrum.h>`

## Public Attributes

std::size_t | r_peak
std::size_t | l_peak
double | l_mass
uint32_t | condition
bool | l_support

## Detailed Description

Definition at line 44 of file spomsspectrum.h.

## Member Data Documentation

## condition

uint32_t pappso::specpeptidoms::AaPosition::condition

Definition at line 60 of file spomsspectrum.h.

## l_mass

double pappso::specpeptidoms::AaPosition::l_mass

Condition is a 32 bit integer used to compute the threePeaks condition of the program. The first bit is put to 1 if the AaPosition's left peak has no other amino acid directly on its left (i.e. if l_support is false) and is not the spectrum's first peak. The second bit is put to one if the AaPosition's left peak is the spectrum's first peak. The next 22 bits are used as a one-hot encoding of the 22 amino acids. If an amino acid is found to the left of the AaPosition, its corresponding bit is put to 1. To check if the threePeaks condition is verified, we do a bitwise AND between condition and another 32 bit integer whose first 2 bits are put to 1, as well as the bit corresponding to the preceding amino acid in the protein sequence.

Definition at line 59 of file spomsspectrum.h.

## l_peak

std::size_t pappso::specpeptidoms::AaPosition::l_peak

Definition at line 46 of file spomsspectrum.h.

## l_support

bool pappso::specpeptidoms::AaPosition::l_support

Definition at line 61 of file spomsspectrum.h.

## r_peak

std::size_t pappso::specpeptidoms::AaPosition::r_peak

Definition at line 46 of file spomsspectrum.h.

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/specpeptidoms/spomsspectrum.h